# xarray.DataArray.rename

`DataArray.``rename`(new_name_or_name_dict)

  Returns a new DataArray with renamed coordinates or a new name.

  Parameters:

  new_name_or_name_dict : str or dict-like

  > If the argument is dict-like, it it used as a mapping from old names to new names for coordinates. Otherwise, use the argument as the new name for this array.

  Returns:

  renamed : DataArray

  > Renamed array or array with renamed coordinates.

  See also

  `Dataset.rename`, `DataArray.swap_dims`